#include <iostream>
using namespace std;
int main()
{
    int a, b, c, d, e;
    cin >> a >> b >> c >> d >> e;
    int z = 1, x = 2, y = 3, w = 4;
    if(a+b+c+d<=e || e*e>=a*a+b*b+c*c+d*d){
        cout << z;
    } else if(a==e){
        cout << w;
    } else if(b==e){
        cout << w;
    } else if(c==e){
        if(a+b<=e){
            cout << y;
        } else {
            cout << w;
        }
    } else if(d==e){
        if(a+b+c<=e){
            cout << x;
        } else if(a+b<=e){
            cout << y;
        } else {
            cout << w;
        }
    } else {
        if(a+b+c<=e){
            cout << x;
        } else if(a+b<=e){
            if(c+d<=e){
                cout << x;
            } else {
                cout << y;
            }
        } else if(a+d<=e && b+c<=e){
            cout << x;
        } else {
            cout << w;
        }
    }
    cout << endl;
    return 0;
}